Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class ContentEntryModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.ContentEntryModel

All Implemented Interfaces:
  IAdaptable

Direct Known Subclasses:
  NonPluginEntryModel, PluginEntryModel

public abstract class ContentEntryModel
extends ModelObject

Content entry model object. This is the base class for plug-in and non-plug-in entry models.

This class must be subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `PluginEntryModel`, `NonPluginEntryModel`

Field Summary
`static long` | `UNKNOWN_SIZE` An indication the size could not be determined

Constructor Summary
`protected` | `ContentEntryModel()` Creates a uninitialized content entry model object.

Method Summary
`long` | `getDownloadSize()` Returns the download size of the entry, if it can be determined.
`long` | `getInstallSize()` Returns the install size of the entry, if it can be determined.
`String` | `getNL()` Returns optional locale specification.
`String` | `getOS()` Returns optional operating system specification.
`String` | `getOSArch()` Returns optional system architecture specification.
`String` | `getWS()` Returns optional windowing system specification.
`void` | `setArch(String arch)` Sets the system architecture specification.
`void` | `setDownloadSize(long downloadSize)` Sets the download size of the entry.
`void` | `setInstallSize(long installSize)` Sets the install size of the entry.
`void` | `setNL(String nl)` Sets the locale specification.
`void` | `setOS(String os)` Sets the operating system specification.
`void` | `setWS(String ws)` Sets the windowing system specification.

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolve, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_SIZE

    public static final long UNKNOWN_SIZE

  An indication the size could not be determined

  Since:
    2.0
  See Also:
    Constant Field Values

Constructor Detail

### ContentEntryModel

    protected ContentEntryModel()

  Creates a uninitialized content entry model object.

Since:
  2.0

Method Detail

### getDownloadSize

    public long getDownloadSize()

  Returns the download size of the entry, if it can be determined.

  Returns:
    download size of the entry in KiloBytes, or an indication the size could not be determined
  Since:
    2.0

### getInstallSize

    public long getInstallSize()

  Returns the install size of the entry, if it can be determined.

  Returns:
    install size of the entry in KiloBytes, or an indication the size could not be determined
  Since:
    2.0

### getOS

    public String getOS()

  Returns optional operating system specification.

  Returns:
    the operating system specification or `null`.
  Since:
    2.0

### getWS

    public String getWS()

  Returns optional windowing system specification.

  Returns:
    the windowing system specification or `null`.
  Since:
    2.0

### getOSArch

    public String getOSArch()

  Returns optional system architecture specification.

  Returns:
    the system architecture specification or `null`.
  Since:
    2.0

### getNL

    public String getNL()

  Returns optional locale specification.

  Returns:
    the locale specification, or `null`.
  Since:
    2.0

### setDownloadSize

    public void setDownloadSize(long downloadSize)

  Sets the download size of the entry. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `downloadSize` - download size of the entry in KiloBytes
  Since:
    2.0

### setInstallSize

    public void setInstallSize(long installSize)

  Sets the install size of the entry. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `installSize` - install size of the entry in KiloBytes
  Since:
    2.0

### setOS

    public void setOS(String os)

  Sets the operating system specification. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `os` - comma-separated list of OS identifiers as defined by Eclipse.
  Since:
    2.0

### setWS

    public void setWS(String ws)

  Sets the windowing system specification. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `ws` - comma-separated list of WS identifiers as defined by Eclipse.
  Since:
    2.0

### setArch

    public void setArch(String arch)

  Sets the system architecture specification. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `arch` - comma-separated list of arch identifiers as defined by Eclipse.
  Since:
    2.0

### setNL

    public void setNL(String nl)

  Sets the locale specification. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `nl` - comma-separated list of locale identifiers.
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.